Subject: Re: 2.6.20 zImage.prep??

From: Sebastian Heutling <[email-masked]>
Date: Fri, 09 Feb 2007 21:44:06 +0100

I can only tell you that it works for 2.6.18 using the debian linux 
image package. But you need to install linux-image-2.6.18-prep instead 
of linux-image-2.6.18-powerpc.

Sebastian

Bob Brose wrote:
> Is PReP currently suported? The last kernel version I could make a
> zImage.prep in was 2.6.14. I see some references to PReP and new
> kernels here but nothing I'd call definitive.
>
> >From digging around the net it looks like one is supposed to use
> mkvmlinuz to do this now however:
>
> 1) The utilities mkprep, mktree and mkbugboot aren't build be default
> in 2.6.20 from what I can see and
>
> 2) Even when I build them and try mkvmlinuz there are errors:
> debian:/usr/src/linux# mkvmlinuz -v -o vmlinuz.prep -a prep -k vmlinux -r 2.4.20
> === Building for sub-architecture prep.
> === Using kernel image file vmlinux.
> === Release version seems to be 2.4.20.
> === Using object files from /usr/src/linux.
> === Building a bootable compressed kernel image in vmlinuz.prep.
> === Doing build in /tmp/tmp.kTUDZ23437.
> === Creating compressed kernel image vmlinux.gz...
> objcopy -O binary vmlinux /tmp/tmp.kTUDZ23437/vmlinux
> gzip /tmp/tmp.kTUDZ23437/vmlinux
> === Putting everything into ELF image file image.o...
> objcopy -R .comment /tmp/tmp.kTUDZ23437/image.o
> objcopy: '/tmp/tmp.kTUDZ23437/image.o': No such file
> objcopy: error: the input file '/tmp/tmp.kTUDZ23437/image.o' is empty
> objcopy /tmp/tmp.kTUDZ23437/image.o /tmp/tmp.kTUDZ23437/image.o --add-section=.image=/tmp/tmp.kTUDZ23437/vmlinux.gz --set-section-flags=.image=contents,alloc,load,readonly,data
> objcopy: '/tmp/tmp.kTUDZ23437/image.o': No such file
> objcopy: error: the input file '/tmp/tmp.kTUDZ23437/image.o' is empty
> === Creating bootable kernel image file vmlinuz.prep...
> Sorry, I do not know how to handle PowerPC sub-architecture prep in version 2.4.20.
>
> This is debian sid. If I try the mkvmlinuz command for chrp it works fine.
>
> Regards,
> Bob
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>